
Foreman - Feature #3002

Replay full JSON response from Foreman's API

08/30/2013 02:45 PM - Greg Sutcliffe

Status: New   

Priority: Normal   

Assignee: Martin Bacovsky   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If something fails through the ruby bindings (e.g. creating a smart proxy when it's uncontactable) we currently don't get the JSON

back to the calling process - instead, we have to go dump the debug logs from foreman to find out what broke. Would be nice if we

could display the JSON that Foreman returned.

History

#1 - 08/30/2013 02:45 PM - Dominic Cleal

- Target version set to 1.3.0

#2 - 09/16/2013 11:51 AM - Lukas Zapletal

- Target version changed from 1.3.0 to 1.4.0

#3 - 10/16/2013 03:45 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#4 - 10/16/2018 10:55 AM - Tomer Brisker

- Category changed from 65 to API
